% generates DTMF tone, plots time and frequency domain

[object,figure]=gcbo;
handlesfig=guihandles(figure);

number=get(object,'String');
if number=='*'
    number=10;
elseif number=='0'
    number=11;
elseif number=='#'
    number=12;
else  
    number=str2num(number);
end

fs=8000;
t=0:1/fs:1-1/fs;

switch number
    case(1)
        x=cos(2*pi*697*t)+cos(2*pi*1209*t);
    case(2)
        x=cos(2*pi*697*t)+cos(2*pi*1336*t);
    case(3)
        x=cos(2*pi*697*t)+cos(2*pi*1477*t);
    case(4)
        x=cos(2*pi*770*t)+cos(2*pi*1209*t);
    case(5)
        x=cos(2*pi*770*t)+cos(2*pi*1336*t);
    case(6)
        x=cos(2*pi*770*t)+cos(2*pi*1477*t);
    case(7)
        x=cos(2*pi*852*t)+cos(2*pi*1209*t);
    case(8)
        x=cos(2*pi*852*t)+cos(2*pi*1336*t);
    case(9)
        x=cos(2*pi*852*t)+cos(2*pi*1477*t);
    case(10)
        x=cos(2*pi*941*t)+cos(2*pi*1209*t);
    case(11)
        x=cos(2*pi*941*t)+cos(2*pi*1336*t);
    case(12)
        x=cos(2*pi*941*t)+cos(2*pi*1477*t);
end

axes(handlesfig.axes1)
plot(t,x,'k');
xlabel('Time (sec)');
ylabel('Amplitude');
axis([0,0.025,-2,2]);
zoom on;
axes(handlesfig.axes2)
[X,f]=fdomain(x,fs);
X=2*X;
spectplt(X,f);
xlabel('Frequency (Hz)');
ylabel('Magnitude')
axis([0,2000,0,1.2]);
zoom on;
xplay=x(1:4000);
soundsc(xplay,fs);